## aisleriot 3.22.9

=== debian/changelog ===
aisleriot (1:3.22.9-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Don't run dh_dwz on .go files
  * debian/aisleriot.install: Install /usr/libexec/
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 18:59:44 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: aisleriot
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 12),
               desktop-file-utils,
               dh-sequence-gnome,
               docbook-xml <!nocheck>,
               lsb-release,
               yelp-tools,
               guile-2.2-dev,
               intltool (>= 0.35.0),
               libcairo2-dev (>= 1.10),
               libcanberra-gtk3-dev (>= 0.26),
               gobject-introspection (>= 0.6.3),
               libgirepository1.0-dev (>= 0.6.3),
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.18.0),
               librsvg2-dev (>= 2.32.0),
               libsm-dev,
               pkg-config (>= 0.15)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
Homepage: https://wiki.gnome.org/Apps/Aisleriot

Package: aisleriot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: yelp
Suggests: gnome-cards-data
Description: GNOME solitaire card game collection
 This is a collection of over eighty different solitaire card games, including
 popular variants such as spider, freecell, klondike, thirteen (pyramid),
 yukon, canfield and many more.

Package: gnome-cards-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the GNOME card games
 This package contains pictures of card decks used by the card-based 
 GNOME games. Different themes are provided.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--with-pysol-card-theme-path=/usr/share/games/pysol \
		-with-platform=gtk-only

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_fixperms:
	dh_fixperms -X/usr/games/sol

override_dh_makeshlibs:
	dh_makeshlibs -p aisleriot --no-act
	dh_makeshlibs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

# Build fails if it tries to strip the .go files
# https://bugs.debian.org/907061
override_dh_strip:
	dh_strip -X.go

# Skip similar build failure
override_dh_dwz:
	dh_dwz -X.go

## aisleriot 3.22.22

=== meson_options.txt ===
# Copyright © 2019 Christian Persch
#
# This programme is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This programme is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this programme.  If not, see <https://www.gnu.org/licenses/>.

option(
  'binreloc',
  type: 'boolean',
  value: false,
  description: 'Binary relocation',
)

option(
  'dbg',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'dbgui',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality UI',
)

option(
  'default_theme_format',
  type: 'combo',
  choices: ['fixed', 'kde', 'pysol', 'svg-rsvg', 'svg-qtsvg',],
  value: 'svg-rsvg',
  description: 'The default card theme format',
)

option(
  'default_theme',
  type: 'string',
  value: 'gnomangelo_bitmap.svgz',
  description: 'The default card theme',
)

option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Enable documentation',
)

option(
  'gconf',
  type: 'boolean',
  value: false,
  description: 'Enable GConf support',
)

option(
  'guile',
  type: 'combo',
  choices: ['3.0', '2.2', '2.0', 'auto',],
  value: 'auto',
  description: 'Which guile version to use',
)

option(
  'help_format',
  type: 'combo',
  choices: ['html', 'xhtml',],
  value: 'html',
  description: 'Which help format to use for file method',
)

option(
  'help_method',
  type: 'combo',
  choices: ['ghelp', 'file', 'library',],
  value: 'ghelp', # FIXME: this may need to be different per platform
  description: 'Which help method to use',
)

option(
  'sound',
  type: 'boolean',
  value: true,
  description: 'Enable sound support',
)

option(
  'theme_fixed',
  type: 'boolean',
  value: true,
  description: 'Enable support for prerendered card themes',
)

option(
  'theme_kde',
  type: 'boolean',
  value: true,
  description: 'Enable support for KDE card themes',
)

option(
  'theme_kde_path',
  type: 'string',
  value: '',
  description: 'Base path to KDE card themes',
)

option(
  'theme_pysol',
  type: 'boolean',
  value: false,
  description: 'Enable support for PySolFC card themes',
)

option(
  'theme_pysol_path',
  type: 'string',
  value: '',
  description: 'Base path to PySolFC card themes',
)

option(
  'theme_svg_qtsvg',
  type: 'boolean',
  value: false,
  description: 'Enable support for SVG card themes (using QtSvg)',
)

option(
  'theme_svg_rsvg',
  type: 'boolean',
  value: true,
  description: 'Enable support for SVG card themes (using Rsvg)',
)

=== debian/changelog ===
aisleriot (1:3.22.22-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/watch: use gitlab.gnome.org tags instead of download.gnome.org

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 08:08:05 -0400

aisleriot (1:3.22.21-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * debian/control.in: Build-Depend on libxml2-dev & libxml2-utils
  * debian/docs: NEWS is no longer provided
  * Drop 02_desktop-patch.patch: Shouldn't be required
  * Add patch to fix build with guile-2.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 06:52:03 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                dh-sequence-gnome,
                docbook-xml <!nocheck>,
                lsb-release,
-               yelp-tools,
+               meson (>= 0.49.0),
                guile-2.2-dev,
-               intltool (>= 0.35.0),
+               itstool,
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),
                gobject-introspection (>= 0.6.3),
@@ -23,6 +23,8 @@
                libgtk-3-dev (>= 3.18.0),
                librsvg2-dev (>= 2.32.0),
                libsm-dev,
+               libxml2-dev,
+               libxml2-utils,
                pkg-config (>= 0.15)
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--bindir=\$${prefix}/games \
-		--with-pysol-card-theme-path=/usr/share/games/pysol \
-		-with-platform=gtk-only
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+		--bindir=games \
+		-Dtheme_kde=false \
+		-Dtheme_pysol_path=/usr/share/games/pysol
 
 override_dh_fixperms:
 	dh_fixperms -X/usr/games/sol

=== debian/watch ===
version=4
https://gitlab.gnome.org/GNOME/@PACKAGE@/tags \
	.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## aisleriot 3.22.23

=== debian/changelog ===
aisleriot (1:3.22.23-1) unstable; urgency=medium

  * New upstream release
  * debian/gnome-cards-data.install: Add many new card styles
  * Build with guile-3.0 instead of 2.2 (Closes: #969694)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Jun 2022 09:55:16 -0400

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                docbook-xml <!nocheck>,
                lsb-release,
                meson (>= 0.49.0),
-               guile-2.2-dev,
+               guile-3.0-dev,
                itstool,
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),
@@ -26,7 +26,7 @@
                libxml2-dev,
                libxml2-utils,
                pkg-config (>= 0.15)
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
 Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
 Homepage: https://wiki.gnome.org/Apps/Aisleriot
@@ -45,5 +45,5 @@
 Architecture: all
 Depends: ${misc:Depends}
 Description: data files for the GNOME card games
- This package contains pictures of card decks used by the card-based 
+ This package contains pictures of card decks used by the card-based
  GNOME games. Different themes are provided.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@
@@ -19,9 +19,6 @@
 	dh_makeshlibs -p aisleriot --no-act
 	dh_makeshlibs --remaining-packages
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 # Build fails if it tries to strip the .go files
 # https://bugs.debian.org/907061
 override_dh_strip:

## aisleriot 3.22.31

=== debian/changelog ===
aisleriot (1:3.22.31-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:36:59 +0000

aisleriot (1:3.22.31-1build1) noble; urgency=medium

  * No-change rebuild against libcanberra t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:46:59 +0100

aisleriot (1:3.22.31-1) unstable; urgency=medium

  * New upstream release
    - Major update of card themes. New themes have been added
      and some themes were removed for quality concerns
  * Have aisleriot install the new default, anglo
    and let gnome-cards-data install all the other card themes
  * Drop unnecessary Build-Depends: gobject-introspection, lsb-release
  * Stop using debian/control.in and dh_gnome_clean
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 08:57:26 -0400

=== debian/control ===
Source: aisleriot
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               docbook-xml <!nocheck>,
               guile-3.0-dev,
               itstool,
               libcairo2-dev (>= 1.10),
               libcanberra-gtk3-dev (>= 0.26),
               libgirepository1.0-dev (>= 0.6.3),
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.18.0),
               librsvg2-dev (>= 2.32.0),
               libsm-dev,
               libxml2-dev,
               libxml2-utils,
               meson (>= 0.49.0),
               pkgconf
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
Homepage: https://wiki.gnome.org/Apps/Aisleriot

Package: aisleriot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gnome-cards-data (<< 1:3.22.31)
Replaces: gnome-cards-data (<< 1:3.22.31)
Recommends: yelp
Suggests: gnome-cards-data
Description: GNOME solitaire card game collection
 This is a collection of over eighty different solitaire card games, including
 popular variants such as spider, freecell, klondike, thirteen (pyramid),
 yukon, canfield and many more.

Package: gnome-cards-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the GNOME card games
 This package contains pictures of card decks used by the card-based
 GNOME games. Different themes are provided.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	dh_makeshlibs -p aisleriot --no-act
 	dh_makeshlibs --remaining-packages
 
+# Installed by the aisleriot package instead
+execute_after_dh_install:
+	rm -f debian/gnome-cards-data/usr/share/aisleriot/cards/anglo.svgz
+
 # Build fails if it tries to strip the .go files
 # https://bugs.debian.org/907061
 override_dh_strip:
@@ -27,3 +31,5 @@
 # Skip similar build failure
 override_dh_dwz:
 	dh_dwz -X.go
+
+override_dh_gnome_clean:

## aisleriot 3.22.33

=== debian/changelog ===
aisleriot (1:3.22.33-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 13:15:51 -0400

aisleriot (1:3.22.32-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 08:40:41 -0400

## aisleriot 3.22.34

=== debian/changelog ===
aisleriot (1:3.22.34-1build1) oracular; urgency=medium

  * Rebuild against latest guile-3.0 (LP: #2080919)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 10:28:15 -0400

aisleriot (1:3.22.34-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:29:59 -0400

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/GNOME/@PACKAGE@/tags \
	-/archive/[\d.]+\.?(?:beta|rc)?[\d.]*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## aisleriot 3.22.35

=== meson_options.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 option(
   'default_theme',
   type: 'string',
-  value: 'gnomangelo_bitmap.svgz',
+  value: 'anglo.svgz',
   description: 'The default card theme',
 )

=== debian/changelog ===
aisleriot (1:3.22.35-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Drop unnecessary Build-Depends on libgirepository1.0-dev
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 17:44:33 -0400

aisleriot (1:3.22.35-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Opt into dpkg build API v1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Jan 2025 14:46:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: aisleriot
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
-               dh-sequence-gnome,
                docbook-xml <!nocheck>,
+               dpkg-build-api (= 1),
                guile-3.0-dev,
                itstool,
                libcairo2-dev (>= 1.10),
                libcanberra-gtk3-dev (>= 0.26),
-               libgirepository1.0-dev (>= 0.6.3),
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.18.0),
                librsvg2-dev (>= 2.32.0),
@@ -22,7 +20,7 @@
                libxml2-utils,
                meson (>= 0.49.0),
                pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/aisleriot
 Vcs-Git: https://salsa.debian.org/gnome-team/aisleriot.git
 Homepage: https://wiki.gnome.org/Apps/Aisleriot

=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,3 @@
 # Skip similar build failure
 override_dh_dwz:
 	dh_dwz -X.go
-
-override_dh_gnome_clean:
